import { formatDate, isNotBasicType } from './utils';
export function transType(oriData, typeName) {
    if (isNotBasicType(oriData)) {
        return oriData;
    }
    var value = null;
    try {
        switch (typeName) {
            case 'string':
                value = "" + oriData;
                break;
            case 'int':
                value = parseInt(oriData, 10);
                if (value !== value) {
                    throw new Error('int类型转换失败');
                }
                break;
            case 'float':
                value = parseFloat(oriData);
                if (value !== value) {
                    throw new Error('float类型转换失败');
                }
                break;
            case 'boolean':
                value = Boolean(oriData);
                break;
            case 'date':
                value = formatDate(oriData, 'Y-M-D');
                break;
            case 'time':
                value = formatDate(oriData, 'h:m:s');
                break;
            case 'datetime':
                value = formatDate(oriData);
                break;
            default:
                value = oriData;
                break;
        }
    }
    catch (error) {
        value = oriData;
    }
    return value;
}
